package com.supervision.chat.client;

import com.supervision.chat.client.dto.ChatResConverter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.client.support.RestTemplateAdapter;
import org.springframework.web.service.invoker.HttpServiceProxyFactory;
import org.springframework.web.util.DefaultUriBuilderFactory;

@Configuration
public class LangChainChatConfig {

    @Value("${langChain-chat.url}")
    private String LangChainChatClientUrl;


    @Bean
    public LangChainChatService langChainChatClient() {

        RestTemplate restTemplate = new RestTemplate();
        restTemplate.setUriTemplateHandler(new DefaultUriBuilderFactory(LangChainChatClientUrl));
        restTemplate.getMessageConverters().add(new ChatResConverter());

        RestTemplateAdapter adapter = RestTemplateAdapter.create(restTemplate);
        HttpServiceProxyFactory factory = HttpServiceProxyFactory.builderFor(adapter).build();
        return factory.createClient(LangChainChatService.class);
    }





}
