package com.supervision.chat.client.dto;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.supervision.chat.client.dto.chat.ChatResDTO;
import org.springframework.http.HttpInputMessage;
import org.springframework.http.HttpOutputMessage;
import org.springframework.http.MediaType;
import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.http.converter.HttpMessageNotReadableException;
import org.springframework.http.converter.HttpMessageNotWritableException;
import org.springframework.util.StreamUtils;

import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.util.List;

/**
 * @description 这个转换类写的很粗糙，只进行了解析处理，后续有需要再继续处理
 * @param
 */
public class ChatResConverter implements HttpMessageConverter {

    private final ObjectMapper objectMapper = new ObjectMapper();
    @Override
    public boolean canRead(Class clazz, MediaType mediaType) {

        return clazz.equals(ChatResDTO.class);
    }

    @Override
    public boolean canWrite(Class clazz, MediaType mediaType) {
        return false;
    }

    @Override
    public List<MediaType> getSupportedMediaTypes() {
        //  text/event-stream
        return List.of(new MediaType("text", "event-stream"));
    }

    @Override
    public Object read(Class clazz, HttpInputMessage inputMessage) throws IOException, HttpMessageNotReadableException {
        String body = StreamUtils.copyToString(inputMessage.getBody(), StandardCharsets.UTF_8);

        // 去除 "data:" 前缀
        if (body.startsWith("data:")) {
            body = body.substring(5).trim();
        }
        // 将去除前缀后的内容解析为 ResponseData 对象
        return objectMapper.readValue(body, ChatResDTO.class);
    }

    @Override
    public void write(Object o, MediaType contentType, HttpOutputMessage outputMessage) throws IOException, HttpMessageNotWritableException {

    }
}
