package com.supervision.police.controller;

import com.supervision.common.domain.R;
import com.supervision.police.service.ChatService;
import com.supervision.police.vo.ChatReqVO;
import com.supervision.police.vo.ChatResVO;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@Tag(name = "对话接口")
@RequiredArgsConstructor
@RequestMapping("/robot")
public class ChatController {

    private final ChatService chatService;

    @PostMapping("/chat")
    public R<ChatResVO> chat(@RequestBody ChatReqVO chatReqVO) {

        ChatResVO chatResVO =  chatService.chat(chatReqVO);
        return R.ok(chatResVO);
    }

}
