package com.supervision.police.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;


@Data
public class ModelCaseVO {

    @Schema(description = "主键")
    private String id;


    @Schema(description = "案件编号")
    private String caseNo;


    @Schema(description = "案件名称")
    private String caseName;


    @Schema(description = "案件类型")
    private String caseType;

    @Schema(description = "认定结果")
    private List<String> identifyResult;

    @Schema(description = "行为人")
    private String lawActor;

    @Schema(description = "涉案人员")
    private String involvedPerson;

    @Schema(description = "当事人")
    private String lawParty;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateStartTime;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateEndTime;

}
